Skip to main content
GET
Retrieve Scaffolder template

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

tagOrId
string
required

The tag or unique, auto-generated Cortex ID of the Scaffolder template. Entity identifier - can be a tag or CID

Response

Successfully found the Scaffolder template

createYamlFile
boolean
required

Whether a cortex.yaml is generated for the created entity

createdAt
string
required

ISO-8601 timestamp at which the template was registered

id
string
required

Unique, auto-generated Cortex ID of the Scaffolder template

labels
string[]
required

Descriptive labels used to group templates in the UI

Descriptive labels used to group templates in the UI

name
string
required

Display name of the Scaffolder template

repoLocator
object
required

Options applied to the repository the Scaffolder publishes to

requireNewService
boolean
required

Whether running the template must create a new entity

requirePullRequest
boolean
required

Whether the template publishes via a pull request to an existing repository

showReadme
boolean
required

Whether the template repository's README is shown before a run

strictAliasUsage
boolean
required

Whether runs are restricted to the git configuration alias the template names

tag
string
required

Stable, human-readable identifier, unique within the workspace

type
enum<string>
required

The templating engine of the template

Available options:
COOKIECUTTER
updatedAt
string
required

ISO-8601 timestamp at which the template was last updated

description
string

Description of the Scaffolder template

publisherOptions
object

Options applied to the repository the Scaffolder publishes to

Last modified on September 29, 2026